Loading...
Searching...
No Matches
FreqOffsetAndPrecisionClass Class Reference

`#include <gnuradio/qtgui/qtgui_types.h>`

## Public Member Functions

| FreqOffsetAndPrecisionClass (const int freqPrecision)
virtual | ~FreqOffsetAndPrecisionClass ()
virtual unsigned int | getFrequencyPrecision () const
virtual void | setFrequencyPrecision (const unsigned int newPrecision)
virtual double | getCenterFrequency () const
virtual void | setCenterFrequency (const double newFreq)

## Constructor & Destructor Documentation

## FreqOffsetAndPrecisionClass()

FreqOffsetAndPrecisionClass::FreqOffsetAndPrecisionClass | ( | const int | freqPrecision | ) |

inline

Referenced by FreqDisplayScaleDraw::FreqDisplayScaleDraw().

## ~FreqOffsetAndPrecisionClass()

virtual FreqOffsetAndPrecisionClass::~FreqOffsetAndPrecisionClass | ( |  | ) |

inline virtual

## Member Function Documentation

## getCenterFrequency()

virtual double FreqOffsetAndPrecisionClass::getCenterFrequency | ( |  | ) | const

inline virtual

## getFrequencyPrecision()

virtual unsigned int FreqOffsetAndPrecisionClass::getFrequencyPrecision | ( |  | ) | const

inline virtual

Referenced by FreqDisplayScaleDraw::label().

## setCenterFrequency()

virtual void FreqOffsetAndPrecisionClass::setCenterFrequency | ( | const double | newFreq | ) |

inline virtual

## setFrequencyPrecision()

virtual void FreqOffsetAndPrecisionClass::setFrequencyPrecision | ( | const unsigned int | newPrecision | ) |

inline virtual

The documentation for this class was generated from the following file:

- qtgui_types.h